import { ComponentInterface } from '../../../stencil-public-runtime';
import { HTMLStencilElement } from '../../../stencil-public-runtime';
export declare class StageImage implements ComponentInterface {
    private imageInheritAttributes;
    el: HTMLStencilElement;
    isOnLoadEventDone: boolean;
    /**
     * set of images to be used as background image
     */
    srcSet: string;
    /**
     * optional fallback image in case the srcSet fails
     */
    fallback?: string;
    componentDidLoad(): void;
    componentWillLoad(): void;
    render(): any;
}
